## bam 0.4.0

=== debian/changelog ===
bam (0.4.0-3) unstable; urgency=low

  * use-debian-liblua.diff: don't hardcode lua5.1 pkg-config file path.
    (Closes: #639052; LP: #831166)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 24 Aug 2011 18:28:07 +0200

bam (0.4.0-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, mips and armhf.
    - Add fix-ftbfs-kfreebsd.diff (Closes: #626726)
    - Add fix-ftbfs-tests-fpic.diff (Closes: #626749)
  * Only install useful doc files.
  * Remove Gonéri Le Bouder from Uploaders on his request.
  * Remove the test_output folder in clean target. (Closes: #626750)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 18 May 2011 09:33:59 +0200

bam (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Drop bus-error-on-SPARC.diff and GNU_Hurd.diff, fixed upstream.
  * Refresh use-debian-liblua.diff for new upstream version.
  * Switch to source format 3.0 (quilt).
  * Use dh7 tiny rules file.
  * Switch to compat level 8.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Update watch file and homepage field.
  * Enable test suite.
    - Add test-error-exit-code.diff to make it exit with an error on
      test failure.
  * Update man page.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 09 May 2011 14:25:15 +0200

bam (0.2.0-4) unstable; urgency=low

  * Apply Barry GNU/Hurd patch (Closes: #532794)
  * Standards-Version: 3.8.2, no change 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 27 Jul 2009 23:29:12 +0200

bam (0.2.0-3) unstable; urgency=low

  * Add fixes/bus-error-SPARC (Closes: #522571)
  * Standard Version 3.8.1, no change
  * Clean the .pc directory

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 05 Apr 2009 01:46:19 +0200

bam (0.2.0-2) unstable; urgency=low

  * Builddepends on liblua5.1-0-dev, don't use the
    embedded lua directory anymore 
  * Builddeps on quilt and pkg-config 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 24 Jan 2009 12:24:18 +0100

bam (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #512806)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 23 Jan 2009 23:57:33 +0100
