=== debian/control ===
Source: bam
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8), python, liblua5.1-0-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://matricks.github.com/bam/
Vcs-Git: git://git.debian.org/pkg-games/bam.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/bam.git

Package: bam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and flexible build system
 Bam uses Lua to describe the build process. It's takes its inspiration for
 the script files from scons. While scons focuses on being 100% correct when
 building, bam makes a few sacrifices to acquire fast full and incremental
 build times.
