=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# nothing to do

override_dh_auto_build:
	sh -e -v make_unix.sh
	python scripts/gendocs.py

override_dh_auto_test:
	python scripts/test.py

override_dh_auto_clean:
	rm -f bam docs/bam.html scripts/*.pyc
	rm -rf test_output
