=== debian/watch ===
version=3
http://github.com/matricks/bam/downloads /downloads/matricks/bam/bam-([\d\.]+)\.tar\.gz
