## bam 0.5.1

=== debian/changelog ===
bam (0.5.1-2) unstable; urgency=medium

  * Switch build to python3. (Closes: #936184)
    - Add python3.patch
  * Point Vcs control headers to salsa.d.o
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Aug 2019 19:21:48 +0200

bam (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.1.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Improve debian/watch file.
  * Drop old patches because they were fixed upstream.
  * Refresh reproducible-build.patch and forward it upstream.
  * Add graphviz to Build-Depends.
  * Add gendocs.patch and fix a FTBFS because of missing license.txt file.
  * Switch to liblua5.3-dev B-D.
  * Do nothing with dh_auto_install, otherwise the build will fail.
  * Update manpage for new release.
  * Use secure Homepage URI.
  * Rebase make_unix.patch.
  * Support DEB_BUILD_OPTIONS nocheck.
  * Ensure bam can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Fri, 26 Oct 2018 16:11:30 +0200

bam (0.4.0-5) unstable; urgency=medium

  * Make the documentation build reproducible. (Closes: #834160)
    - Add reproducible-build.diff
    - Thanks to Chris Lamb for the patch.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 19:10:16 +0200

bam (0.4.0-4) unstable; urgency=medium

  * Rename use-debian-liblua.diff to make-unix.diff and:
    - Pass build flags to gcc.
    - Print commands that are executed.
  * debian/rules: include /usr/share/dpkg/buildflags.mk
  * Bump debhelper compat level to 9.
  * Use https in Vcs-* URLs.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 25 Apr 2016 20:22:05 +0200
