=== debian/control ===
Source: bam
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 12), graphviz, python3, liblua5.3-dev, pkg-config
Standards-Version: 4.2.1
Homepage: https://matricks.github.com/bam/
Vcs-Git: https://salsa.debian.org/games-team/bam.git
Vcs-Browser: https://salsa.debian.org/games-team/bam

Package: bam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and flexible build system
 Bam uses Lua to describe the build process. It's takes its inspiration for
 the script files from scons. While scons focuses on being 100% correct when
 building, bam makes a few sacrifices to acquire fast full and incremental
 build times.
