=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# nothing to do

override_dh_auto_build:
	sh make_unix.sh
	python3 scripts/gendocs.py

override_dh_auto_install:
	# do nothing here

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 scripts/test.py
endif

override_dh_auto_clean:
	$(RM) bam docs/bam.html scripts/*.pyc
	$(RM) -r test_output
	$(RM) docs/depgraph.png
