=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bam-$1\.tar\.gz/ \
  https://github.com/matricks/bam/tags .*/v?(\d\S+)\.tar\.gz
