=== model/source_dy/DummyMPI/Makefile ===
#
#  $Author: pkubota $
#  $Date: 2007/10/10 20:22:59 $
#  $Revision: 1.1 $
#
# $Id: Makefile.sx6,v 1.1 2007/10/10 20:22:59 pkubota Exp $
#
# Makefile for old versions of OSF.
# Use Makefile.sx6 for SX6 Unix 4.0 and above
#

F90=gfortran 
AR=ar
FTRACE= 
OPENMP=
F90_32FLAGS = -Wf"-pvctl noassume vwork=stack"
F90_32BITS = $(FTRACE) $(OPENMP) 
LOADFLAG= -Wl"-Z 4G" 

# OPTIONS FOR POS

F77	= gfortran
FFLAGS	= 
CFLAGS	= -DLINUX
ARFLAGS	= 
CC	= gcc

RM      = rm -f
MPI_INCLUDE	= ./include
MPI_LIB		= .

LIB = libmpi.a

.SUFFIXES: .o .f .F .c

OBJC =	\
	mpi_dummyc.o \
	wtime.o

OBJF =	\
	mpi_dummyf.o

SRC	= $(OBJF:.o=.f) $(OBJC:.o=.c)

$(LIB): $(OBJF) $(OBJC)
	ar $(ARFLAGS) -ruv $(LIB) $(OBJF) $(OBJC)
	
clean :
	-@$(RM) $(OBJF) core $(OBJC) $(LIB)

.f.o:
	$(F90) $(FFLAGS) -c $(@:.o=.f) -I$(MPI_INCLUDE)
.c.o:
	$(CC) $(CFLAGS) -c $(@:.o=.c)  -I$(MPI_INCLUDE)
